# Class Curve

java.lang.Object
org.mariadb.jdbc.internal.com.send.authentication.ed25519.math.Curve

All Implemented Interfaces:
  `Serializable`

public class Curve extends Object implements Serializable
A twisted Edwards curve. Points on the curve satisfy $-x^2 + y^2 = 1 + d x^2y^2$

Author:
  str4d
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`Curve(Field f, byte[] d, FieldElement I)`

## Method Summary

Modifier and Type
Method
Description
`GroupElement`
`createPoint(byte[] P, boolean precompute)`
`boolean`
`equals(Object o)`
`FieldElement`
`get2D()`
`FieldElement`
`getD()`
`Field`
`getField()`
`FieldElement`
`getI()`
`GroupElement`
`getZero(GroupElement.Representation repr)`
`int`
`hashCode()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Curve

public Curve(Field f, byte[] d, FieldElement I)

## Method Details

### getField

public Field getField()

### getD

public FieldElement getD()

### get2D

public FieldElement get2D()

### getI

public FieldElement getI()

### getZero

public GroupElement getZero(GroupElement.Representation repr)

### createPoint

public GroupElement createPoint(byte[] P, boolean precompute)

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`